package org.lwjglx.input;

import org.lwjgl.system.glfw.GLFW;
import org.lwjglx.opengl.Display;

public class Mouse {
	
	public static void setGrabbed(boolean grab) {
		GLFW.glfwSetInputMode(Display.getWindow(), 
							  GLFW.GLFW_CURSOR, 
							  grab ? GLFW.GLFW_CURSOR_DISABLED : GLFW.GLFW_CURSOR_NORMAL);
	}
	
	public static boolean isButtonDown(int button) {
		return GLFW.glfwGetMouseButton(Display.getWindow(), button) == GLFW.GLFW_PRESS;
	}
	
	public static int getDX() {
		return 0; // TODO
	}

}
